//
//  TEAppDelegate.m
//  TabExample
//
//  Created by Alasdair Allan on 17/10/2012.
//  Copyright (c) 2012 Babilim Light Industries. All rights reserved.
//

#import "TEAppDelegate.h"

#import "TEFirstViewController.h"
#import "TESecondViewController.h"
#import "TEThirdViewController.h"

@implementation TEAppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];

    UIViewController *viewController1 = [[TEFirstViewController alloc] initWithNibName:@"TEFirstViewController" bundle:nil];
    UIViewController *viewController2 = [[TESecondViewController alloc] initWithNibName:@"TESecondViewController" bundle:nil];
    UIViewController *viewController3 = [[TEThirdViewController alloc] initWithNibName:@"TEThirdViewController" bundle:nil];
    
    self.navController = [[UINavigationController alloc] initWithRootViewController:viewController1];
    self.navController.navigationBar.barStyle = UIBarStyleBlack;
    
    self.tabBarController = [[UITabBarController alloc] init];
    self.tabBarController.viewControllers = @[self.navController, viewController2, viewController3];
    self.window.rootViewController = self.tabBarController;
    [self.window makeKeyAndVisible];
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application {

}

- (void)applicationDidEnterBackground:(UIApplication *)application {

}

- (void)applicationWillEnterForeground:(UIApplication *)application {

}

- (void)applicationDidBecomeActive:(UIApplication *)application {

}

- (void)applicationWillTerminate:(UIApplication *)application {

}

/*
// Optional UITabBarControllerDelegate method.
- (void)tabBarController:(UITabBarController *)tabBarController didSelectViewController:(UIViewController *)viewController {
}
*/

/*
// Optional UITabBarControllerDelegate method.
- (void)tabBarController:(UITabBarController *)tabBarController didEndCustomizingViewControllers:(NSArray *)viewControllers changed:(BOOL)changed {
}
*/

@end
