//
//  TwitterTrends.m
//  TwitterTrends
//
//  Created by Alasdair Allan on 14/12/2012.
//  Copyright (c) 2012 Babilim Light Industries. All rights reserved.
//

#import "TwitterTrends.h"
#import "ViewController.h"
#import <Social/Social.h>

@implementation TwitterTrends

- (void)queryServiceWithParent:(UIViewController *)controller {
    viewController = (ViewController *)controller;
    
    SLRequest *request  = [SLRequest requestForServiceType:SLServiceTypeTwitter requestMethod:SLRequestMethodGET URL:[NSURL URLWithString:@"https://api.twitter.com/1/trends/1.json"] parameters:nil];
    [request performRequestWithHandler:^(NSData *responseData, NSHTTPURLResponse *urlResponse, NSError *error) {
        if ([urlResponse statusCode] == 200) {
            NSError *error;
            NSArray *json = [NSJSONSerialization JSONObjectWithData:responseData options:0 error:&error];
            NSArray *trends = [[json objectAtIndex:0] objectForKey:@"trends"];
            for (NSDictionary *trend in trends) {
                [viewController.names addObject:[trend objectForKey:@"name"]];
                NSLog(@"name = %@", [trend objectForKey:@"name"]);
                [viewController.urls addObject:[trend objectForKey:@"url"]];
                NSLog(@"url = %@", [trend objectForKey:@"url"]);
            }
            [UIApplication sharedApplication].networkActivityIndicatorVisible = NO;
            dispatch_async( dispatch_get_main_queue(), ^{
                [viewController.serviceView reloadData]; });
        } else {
            NSLog(@"Error: HTTP code %i", [urlResponse statusCode]); }
    }];
}



@end
