//
//  ViewController.m
//  TwitterTrends
//
//  Created by Alasdair Allan on 14/12/2012.
//  Copyright (c) 2012 Babilim Light Industries. All rights reserved.
//

#import "ViewController.h"
#import "TwitterTrends.h"
#import "WebViewController.h"


@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.names = [[NSMutableArray alloc] init];
    self.urls = [[NSMutableArray alloc] init];
    [UIApplication sharedApplication].networkActivityIndicatorVisible = YES;
    
    TwitterTrends *trends = [[TwitterTrends alloc] init];
    [trends queryServiceWithParent:self];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.names.count;
}

 - (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell =
    [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
    }
    cell.textLabel.text = [self.names objectAtIndex:indexPath.row];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    NSString *title = [self.names objectAtIndex:indexPath.row];
    NSURL *url = [NSURL URLWithString:[self.urls objectAtIndex:indexPath.row]];
    WebViewController *webViewController = [[WebViewController alloc] initWithURL:url andTitle:title];
    [self presentViewController:webViewController animated:YES completion:nil];
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
}

/*
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    // Add code to handle selection here.
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
}
 */

@end
