//
//  MainViewController.m
//  Weather
//
//  Created by Alasdair Allan on 14/12/2012.
//  Copyright (c) 2012 Babilim Light Industries. All rights reserved.
//

#import "MainViewController.h"
#import "AppDelegate.h"

@interface MainViewController ()

@end

@implementation MainViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.locationState = [[NSString alloc] init];
    self.locationCity = [[NSString alloc] init];
    [self refreshView:self];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Flipside View

- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller {
    [self dismissViewControllerAnimated:YES completion:nil];
}

- (IBAction)showInfo:(id)sender {    
    FlipsideViewController *controller = [[FlipsideViewController alloc] initWithNibName:@"FlipsideViewController" bundle:nil];
    controller.delegate = self;
    controller.modalTransitionStyle = UIModalTransitionStyleFlipHorizontal;
    [self presentViewController:controller animated:YES completion:nil];
}

- (IBAction)refreshView:(id)sender {
    [self.loadingActivityIndicator startAnimating];
    AppDelegate *appDelegate =  (AppDelegate *)[[UIApplication sharedApplication] delegate];
    if( appDelegate.updateLocation ) {
        NSLog( @ "updating for location = %@, %@ ", self.locationCity, self.locationState );
        NSString *encodedState = [self.locationState stringByAddingPercentEscapesUsingEncoding:NSUTF8StringEncoding];
        NSString *encodedCity = [self.locationCity stringByAddingPercentEscapesUsingEncoding:NSUTF8StringEncoding];
        [self.forecast queryServiceWithState:encodedState andCity:encodedCity withParent:self];
    } else {
        [self.forecast queryServiceWithState:@"UK" andCity:@"London" withParent:self];
    }
}

- (void)updateView {
    cityLabel.text = self.forecast.location;
    
    NSURL *url = [NSURL URLWithString:(NSString *)self.forecast.icon];
    NSData *data = [NSData dataWithContentsOfURL:url];
    weatherImage.image = [[UIImage alloc] initWithData:data];
    
    weatherLabel.text = self.forecast.condition;
    
	centigradeLabel.text = [NSString stringWithFormat:@"%@ C", self.forecast.centigrade];
	fahrenheitLabel.text = [NSString stringWithFormat:@"(%@ F)", self.forecast.fahrenheit];
	humidityLabel.text = [NSString stringWithFormat:@"%@ humidity",self.forecast.humidity];
	windLabel.text = self.forecast.wind;

    [self.loadingActivityIndicator stopAnimating];
}

@end
