//
//  MapViewController.m
//  Prototype3
//
//  Created by Alasdair Allan on 15/12/2012.
//  Copyright (c) 2012 Babilim Light Industries. All rights reserved.
//

#import "MapViewController.h"
#import "SimpleAnnotation.h"

@interface MapViewController ()

@end

@implementation MapViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (id) initWithCoordinates:(CLLocationCoordinate2D)coordinates andTitle:(NSString *)title andSubTitle:(NSString *)subtitle { if ( self = [super init] ) {
        theTitle = title;
        theSubTitle = subtitle;
        theCoords = coordinates;
    }
    return self;
}

- (id) initWithCoordinates:(CLLocationCoordinate2D)coordinates andTitle:(NSString *)title {
    return [self initWithCoordinates:coordinates andTitle:title andSubTitle:nil];
}

- (id) initWithCoordinates:(CLLocationCoordinate2D)coordinates {
    return [self initWithCoordinates:coordinates andTitle:nil andSubTitle:nil];
}

- (IBAction) done:(id)sender {
    [self dismissViewControllerAnimated:YES completion:nil];
}


- (void)viewDidLoad {
    [super viewDidLoad];
    mapTitle.title = theTitle;
    SimpleAnnotation *annotation = [[SimpleAnnotation alloc] initWithCoordinate:theCoords];
    annotation.title = theTitle;
    annotation.subtitle = theSubTitle;
    MKCoordinateRegion region = { theCoords, {0.2, 0.2} };
    [mapView setRegion:region animated:NO];
    [mapView addAnnotation: annotation];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}

@end
